#ifndef GENETIC_IMAGE_INCLUDE_GENIMG_COMMON_HH_
#define GENETIC_IMAGE_INCLUDE_GENIMG_COMMON_HH_

#include <opencv2/core/core.hpp>
#include <opencv2/highgui/highgui.hpp>
#include <spdlog/spdlog.h>
#include <string>
#include <tuple>
#include <random>

std::tuple<cv::Mat, cv::Mat> init_image(std::string const &);

double euclidian_distance(cv::Mat const &, cv::Mat const &);

cv::Scalar random_color(std::mt19937 &);

#endif /* GENETIC_IMAGE_INCLUDE_GENIMG_COMMON_HH_ */
